package cn.com.qmth.examcloud.core.questions.dao.entity;

import java.util.List;

import cn.com.qmth.examcloud.core.questions.base.question.enums.QuesStructType;
import cn.com.qmth.examcloud.core.questions.dao.entity.base.MongoBaseEntity;
import cn.com.qmth.examcloud.question.commons.core.question.AnswerType;

public class RandomPaperQuestion extends MongoBaseEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1357471464371313050L;

	private Long rootOrgId;

	private String randomPaperId;

	private Long courseId;
//	 精确结构：大题号-结构序号（1开始）-公开/非公开-难度  |  示例：1-1-true-难
//	  蓝图结构：大题号-一级属性id-二级属性id-公开/非公开-难度  |  示例：1-1-60efd3e85d030a52bb08b1e8-60efd3e85d030a52bb08b1e9-true-易
	private String key;

	private String questionId;

	private Double score;

	/**
	 * 选项数量
	 */
	private Integer optionCount;

	/**
	 * 题型
	 */
	private QuesStructType questionType;

	/**
	 * 作答类型
	 */
	private AnswerType answerType;

	private List<RandomPaperQuestion> subQuestions;

	public String getRandomPaperId() {
		return randomPaperId;
	}

	public void setRandomPaperId(String randomPaperId) {
		this.randomPaperId = randomPaperId;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getCourseId() {
		return courseId;
	}

	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}

	public String getQuestionId() {
		return questionId;
	}

	public void setQuestionId(String questionId) {
		this.questionId = questionId;
	}

	public Integer getOptionCount() {
		return optionCount;
	}

	public void setOptionCount(Integer optionCount) {
		this.optionCount = optionCount;
	}

	public QuesStructType getQuestionType() {
		return questionType;
	}

	public void setQuestionType(QuesStructType questionType) {
		this.questionType = questionType;
	}

	public AnswerType getAnswerType() {
		return answerType;
	}

	public void setAnswerType(AnswerType answerType) {
		this.answerType = answerType;
	}

	public List<RandomPaperQuestion> getSubQuestions() {
		return subQuestions;
	}

	public void setSubQuestions(List<RandomPaperQuestion> subQuestions) {
		this.subQuestions = subQuestions;
	}

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

}
